Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.ant
Class SchemaToolTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.MatchingTask
                  org.apache.openjpa.lib.ant.AbstractTask
                      org.apache.openjpa.jdbc.ant.SchemaToolTask

All Implemented Interfaces:
  Cloneable, org.apache.tools.ant.types.selectors.SelectorContainer

    public class SchemaToolTask

extends AbstractTask

Executes the `SchemaTool` on the specified XML schema definition files. This task can take the following arguments:

- `action`
- `ignoreErrors`
- `dropTables`
- `dropSequences`
- `openjpaTables`
- `primaryKeys`
- `foreignKeys`
- `indexes`
- `sequences`
- `record`
- `file`

Of these arguments, only `action` is required.

Nested Class Summary
`static class` | `SchemaToolTask.Action`

Field Summary
`protected String` | `file`
`protected SchemaTool.Flags` | `flags`

Fields inherited from class org.apache.openjpa.lib.ant.AbstractTask
`classpath, fileSets, haltOnError, isolate, useParent`

Fields inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`fileset`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`SchemaToolTask()`

Method Summary
`protected void` | `executeOn(String[] files)` Perform the task action on the given files.
`protected ConfigurationImpl` | `newConfiguration()` Implement this method to return a configuration object for the product in use.
`void` | `setAction(SchemaToolTask.Action act)` Set the enumerated SchemaTool action type.
`void` | `setDropSequences(boolean dropSequences)` Set whether the SchemaTool should drop sequences.
`void` | `setDropTables(boolean dropTables)` Set whether the SchemaTool should drop tables.
`void` | `setFile(String file)` Set the output file we want the SchemaTool to write to.
`void` | `setForeignKeys(boolean fks)` Set whether to generate foreign key information.
`void` | `setIgnoreErrors(boolean ignoreErrors)` Set whether we want the SchemaTool to ignore SQL errors.
`void` | `setIndexes(boolean idxs)` Set whether to generate index information.
`void` | `setOpenJPATables(boolean openjpaTables)` Set whether to drop or reflect on OpenJPA tables.
`void` | `setPrimaryKeys(boolean pks)` Set whether to generate primary key information.
`void` | `setRecord(boolean record)` Set whether the SchemaTool should record to the schema factory.
`void` | `setSequences(boolean sequences)` Set whether the SchemaTool should manipulate sequences.

Methods inherited from class org.apache.openjpa.lib.ant.AbstractTask
`addFileset, assertFiles, createClasspath, createConfig, execute, getClassLoader, getConfiguration, setClasspath, setHaltOnError, setIsolate, setUseParentClassloader`

Methods inherited from class org.apache.tools.ant.taskdefs.MatchingTask
`add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flags

    protected SchemaTool.Flags flags

### file

    protected String file

Constructor Detail

### SchemaToolTask

    public SchemaToolTask()

Method Detail

### setAction

    public void setAction(SchemaToolTask.Action act)

  Set the enumerated SchemaTool action type.

### setIgnoreErrors

    public void setIgnoreErrors(boolean ignoreErrors)

  Set whether we want the SchemaTool to ignore SQL errors.

### setDropTables

    public void setDropTables(boolean dropTables)

  Set whether the SchemaTool should drop tables.

### setOpenJPATables

    public void setOpenJPATables(boolean openjpaTables)

  Set whether to drop or reflect on OpenJPA tables.

### setDropSequences

    public void setDropSequences(boolean dropSequences)

  Set whether the SchemaTool should drop sequences.

### setSequences

    public void setSequences(boolean sequences)

  Set whether the SchemaTool should manipulate sequences.

### setPrimaryKeys

    public void setPrimaryKeys(boolean pks)

  Set whether to generate primary key information.

### setForeignKeys

    public void setForeignKeys(boolean fks)

  Set whether to generate foreign key information.

### setIndexes

    public void setIndexes(boolean idxs)

  Set whether to generate index information.

### setRecord

    public void setRecord(boolean record)

  Set whether the SchemaTool should record to the schema factory.

### setFile

    public void setFile(String file)

  Set the output file we want the SchemaTool to write to.

### newConfiguration

    protected ConfigurationImpl newConfiguration()

  Description copied from class: `AbstractTask`
  Implement this method to return a configuration object for the product in use.

  Specified by:
    `newConfiguration` in class `AbstractTask`

### executeOn

    protected void executeOn(String[] files)
                      throws Exception

  Description copied from class: `AbstractTask`
  Perform the task action on the given files.

  Specified by:
    `executeOn` in class `AbstractTask`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.